#include "ActionNodeConfiguration.h"
#include <QGridLayout>

ActionNodeConfiguration::ActionNodeConfiguration(QWidget* p)
	:QFrame(p),
	_execute_select(new QComboBox(this)),
	_vars_configuration(new VariablesConfigurationPanel(this))
{
	this->setFrameStyle(QFrame::WinPanel | QFrame::Sunken);
	auto p_layout = new QGridLayout(this);

	p_layout->addWidget(new QLabel(u8"ִͣ", this));
	p_layout->addWidget(_execute_select, 0, 1, 1, 4);
	p_layout->addWidget(_vars_configuration, 1, 0, 3, 5);

	p_layout->setColumnStretch(1, 1);
}

#include "BehaviorEditor.h"
void ActionNodeConfiguration::setTarget(NodePresent* ins)
{
	this->_vars_configuration->bindNode(ins->logicalBind());
}
